summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Mueller <ulm@gentoo.org>2011-01-02 17:28:48 +0100
committerZac Medico <zmedico@gentoo.org>2011-01-02 12:59:34 -0800
commita1b9829d910a6a7ad7bee51615b7ab4e3323c588 (patch)
treeabde044f9e47166a6b8f1486594be34adcefa484
parentMetaDataXML: fix broken upstream initialization (diff)
downloadportage-a1b9829d910a6a7ad7bee51615b7ab4e3323c588.tar.gz
portage-a1b9829d910a6a7ad7bee51615b7ab4e3323c588.tar.bz2
portage-a1b9829d910a6a7ad7bee51615b7ab4e3323c588.zip
newins in EAPI 4 should actually install the file. Fixes bug 350385.
-rwxr-xr-xbin/ebuild-helpers/newins8
1 files changed, 5 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/newins b/bin/ebuild-helpers/newins
index 9da212fb5..065477f47 100755
--- a/bin/ebuild-helpers/newins
+++ b/bin/ebuild-helpers/newins
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
@@ -22,8 +22,10 @@ case "$EAPI" in
*)
cp -P "$1" "$T/$2"
ret=$?
- [[ $ret -ne 0 ]] && helpers_die "${0##*/} failed"
- exit $ret
+ if [[ $ret -ne 0 ]] ; then
+ helpers_die "${0##*/} failed"
+ exit $ret
+ fi
;;
esac
doins "${T}/${2}"